Subject: [bug#66910] [PATCH] gnu: qemu: Update to 8.1.2

From: Ekaitz Zarraga <[email-masked]>
Date: Thu, 23 Nov 2023 17:32:20 +0100

On 11/23/23 10:57, Ludovic Courtès wrote:
> Hi Ekaitz,
> 
> Ekaitz Zarraga <[email-masked]> skribis:
> 
>> >From ee88ac8e6cdfe44b49e17b5d60a6b95aec7619f5 Mon Sep 17 00:00:00 2001
>> Message-ID: <[email-masked]>
>> From: Ekaitz Zarraga <[email-masked]>
>> Date: Fri, 3 Nov 2023 11:03:38 +0100
>> Subject: [PATCH] gnu: qemu: Update to 8.1.2
>>
>> * gnu/packages/virtualization.scm (qemu): Update to 8.1.2
> 
> Build failures are reported at <https://qa.guix.gnu.org/issue/66910>.
> Could you take a look?
> 

> Thanks,
> Ludo’.

Saluton,

I did review this a little bit with Christopher, and we had weird 
results. Sometimes they fail, sometimes they don't...

https://data.qa.guix.gnu.org/gnu/store/px3f6gzv418m5lgqmk1clswry2rksvsb-qemu-minimal-8.1.2.drv

In my computer it worked, passed all the tests and so on, but can't 
deliver this computer to the users. I need to use it for other things.

It seems like Qemu have been a pain in the ass with the tests even in 
previous versions, so this is probably not introduced by the version bump.

What I do know though is the 8.1.1 version has some bug in the riscv 
backend that was interfering with our bootstrapping work and that was 
supposed to be fixed in 8.1.2.

We can also try with 8.1.3 and see if we have the same kind of build 
issues, too.

How do you feel about it, Ludovic?

TL;DR

 > (It might be non-deterministic.)

I think we are in this case here.

Best,
Ekaitz